> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/september-20th-2024.md).

# September 20th, 2024 - Marketplace Update

Explore the new changes to the Marketplace in the last week!

This can be anything from new crates, enhancements, or bug fixes!

<details>

<summary><strong>New crates and enhancements</strong></summary>

* Rewst: User Onboarding
  * Updated create new AD user powershell to post back exception message if unable to set password settings
* View Rewst Integration Org Variables
  * Added `_policy_id` to the int\_endings list so that it picks up Addigy integration IDs
* Rewst: User Offboarding v2
  * Added support for PSA and RMM parent/child relationships

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Rewst: User Onboarding
  * Added Tasks to handle errors:
    * `update_ticket_failed_to_sync_to_ad`
    * `wait_for_AD_to_sync_to_azure`
    * `check_for_azure_ad_user`
    * `delay_for_ad_sync`
  * Fixed issue where workflow was overpurchasing M365 licences when they aren't provisioned in time
* Send Email with Attachment function workflow
  * Switched to use correct response header for webhook.
  * Changed title to be a space so it didn't get rendered as None in the email on the core send.
  * Modified message body to actually contain the webhook url.
* Billing Count Report
  * Fixed CSV generation so that the company field is always the first column.
* Configure CWM Agreement for Duo Sync
  * Made the `cwm_company_id` field required to prevent failures.

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* New Crate - Sonicwall Firmware Update
  * Initiate a firmware update via NSM
  * Support one or more firewall firmware upgrades at once
  * Support scheduling of firmware updates and restart times
* New Crate - Workstation Offboarding
* Utility crate - Error Handling and Reporting

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/september-20th-2024.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
